[RHSA-2024:3671] ruby:3.3 security, bug fix, and enhancement update

Severity Moderate
Affected Packages 74
CVEs 3

Ruby is an extensible, interpreted, object-oriented, scripting language. It has features to process text files and to perform system management tasks.

The following packages have been upgraded to a later upstream version: ruby (3.3). (RHEL-37697)

Security Fix(es):

  • ruby: Buffer overread vulnerability in StringIO (CVE-2024-27280)

  • ruby: RCE vulnerability with .rdoc_options in RDoc (CVE-2024-27281)

  • ruby: Arbitrary memory address read vulnerability with Regex search (CVE-2024-27282)

For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Package Affected Version
pkg:rpm/redhat/rubygems?distro=redhat-9.4 < 3.5.9-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygems-devel?distro=redhat-9.4 < 3.5.9-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-typeprof?distro=redhat-9.4 < 0.21.9-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-test-unit?distro=redhat-9.4 < 3.6.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-rss?distro=redhat-9.4 < 0.3.0-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-rexml?distro=redhat-9.4 < 3.2.6-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-rdoc?distro=redhat-9.4 < 6.6.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-rbs?arch=x86_64&distro=redhat-9.4 < 3.4.0-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-rbs?arch=s390x&distro=redhat-9.4 < 3.4.0-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-rbs?arch=ppc64le&distro=redhat-9.4 < 3.4.0-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-rbs?arch=i686&distro=redhat-9.4 < 3.4.0-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-rbs?arch=aarch64&distro=redhat-9.4 < 3.4.0-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-rake?distro=redhat-9.4 < 13.1.0-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-racc?arch=x86_64&distro=redhat-9.4 < 1.7.3-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-racc?arch=s390x&distro=redhat-9.4 < 1.7.3-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-racc?arch=ppc64le&distro=redhat-9.4 < 1.7.3-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-racc?arch=i686&distro=redhat-9.4 < 1.7.3-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-racc?arch=aarch64&distro=redhat-9.4 < 1.7.3-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-psych?arch=x86_64&distro=redhat-9.4 < 5.1.2-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-psych?arch=s390x&distro=redhat-9.4 < 5.1.2-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-psych?arch=ppc64le&distro=redhat-9.4 < 5.1.2-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-psych?arch=i686&distro=redhat-9.4 < 5.1.2-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-psych?arch=aarch64&distro=redhat-9.4 < 5.1.2-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-power_assert?distro=redhat-9.4 < 2.0.3-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-pg?arch=x86_64&distro=redhat-9.4 < 1.5.4-1.module+el9.4.0+21222+faeeed2f
pkg:rpm/redhat/rubygem-pg?arch=s390x&distro=redhat-9.4 < 1.5.4-1.module+el9.4.0+21222+faeeed2f
pkg:rpm/redhat/rubygem-pg?arch=ppc64le&distro=redhat-9.4 < 1.5.4-1.module+el9.4.0+21222+faeeed2f
pkg:rpm/redhat/rubygem-pg?arch=aarch64&distro=redhat-9.4 < 1.5.4-1.module+el9.4.0+21222+faeeed2f
pkg:rpm/redhat/rubygem-pg-doc?distro=redhat-9.4 < 1.5.4-1.module+el9.4.0+21222+faeeed2f
pkg:rpm/redhat/rubygem-mysql2?arch=x86_64&distro=redhat-9.4 < 0.5.5-1.module+el9.4.0+21222+faeeed2f
pkg:rpm/redhat/rubygem-mysql2?arch=s390x&distro=redhat-9.4 < 0.5.5-1.module+el9.4.0+21222+faeeed2f
pkg:rpm/redhat/rubygem-mysql2?arch=ppc64le&distro=redhat-9.4 < 0.5.5-1.module+el9.4.0+21222+faeeed2f
pkg:rpm/redhat/rubygem-mysql2?arch=aarch64&distro=redhat-9.4 < 0.5.5-1.module+el9.4.0+21222+faeeed2f
pkg:rpm/redhat/rubygem-mysql2-doc?distro=redhat-9.4 < 0.5.5-1.module+el9.4.0+21222+faeeed2f
pkg:rpm/redhat/rubygem-minitest?distro=redhat-9.4 < 5.20.0-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-json?arch=x86_64&distro=redhat-9.4 < 2.7.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-json?arch=s390x&distro=redhat-9.4 < 2.7.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-json?arch=ppc64le&distro=redhat-9.4 < 2.7.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-json?arch=i686&distro=redhat-9.4 < 2.7.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-json?arch=aarch64&distro=redhat-9.4 < 2.7.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-irb?distro=redhat-9.4 < 1.11.0-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-io-console?arch=x86_64&distro=redhat-9.4 < 0.7.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-io-console?arch=s390x&distro=redhat-9.4 < 0.7.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-io-console?arch=ppc64le&distro=redhat-9.4 < 0.7.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-io-console?arch=i686&distro=redhat-9.4 < 0.7.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-io-console?arch=aarch64&distro=redhat-9.4 < 0.7.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-bundler?distro=redhat-9.4 < 2.5.9-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-bigdecimal?arch=x86_64&distro=redhat-9.4 < 3.1.5-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-bigdecimal?arch=s390x&distro=redhat-9.4 < 3.1.5-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-bigdecimal?arch=ppc64le&distro=redhat-9.4 < 3.1.5-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-bigdecimal?arch=i686&distro=redhat-9.4 < 3.1.5-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/rubygem-bigdecimal?arch=aarch64&distro=redhat-9.4 < 3.1.5-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby?arch=x86_64&distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby?arch=s390x&distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby?arch=ppc64le&distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby?arch=i686&distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby?arch=aarch64&distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby-libs?arch=x86_64&distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby-libs?arch=s390x&distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby-libs?arch=ppc64le&distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby-libs?arch=i686&distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby-libs?arch=aarch64&distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby-doc?distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby-devel?arch=x86_64&distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby-devel?arch=s390x&distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby-devel?arch=ppc64le&distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby-devel?arch=i686&distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby-devel?arch=aarch64&distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby-default-gems?distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby-bundled-gems?arch=x86_64&distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby-bundled-gems?arch=s390x&distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby-bundled-gems?arch=ppc64le&distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby-bundled-gems?arch=i686&distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
pkg:rpm/redhat/ruby-bundled-gems?arch=aarch64&distro=redhat-9.4 < 3.3.1-2.module+el9.4.0+21859+16f07581
Type Package URL Namespace Name / Product Version Distribution / Platform Arch Patch / Fix
Affected pkg:rpm/redhat/rubygems?distro=redhat-9.4 redhat rubygems < 3.5.9-2.module+el9.4.0+21859+16f07581 redhat-9.4
Affected pkg:rpm/redhat/rubygems-devel?distro=redhat-9.4 redhat rubygems-devel < 3.5.9-2.module+el9.4.0+21859+16f07581 redhat-9.4
Affected pkg:rpm/redhat/rubygem-typeprof?distro=redhat-9.4 redhat rubygem-typeprof < 0.21.9-2.module+el9.4.0+21859+16f07581 redhat-9.4
Affected pkg:rpm/redhat/rubygem-test-unit?distro=redhat-9.4 redhat rubygem-test-unit < 3.6.1-2.module+el9.4.0+21859+16f07581 redhat-9.4
Affected pkg:rpm/redhat/rubygem-rss?distro=redhat-9.4 redhat rubygem-rss < 0.3.0-2.module+el9.4.0+21859+16f07581 redhat-9.4
Affected pkg:rpm/redhat/rubygem-rexml?distro=redhat-9.4 redhat rubygem-rexml < 3.2.6-2.module+el9.4.0+21859+16f07581 redhat-9.4
Affected pkg:rpm/redhat/rubygem-rdoc?distro=redhat-9.4 redhat rubygem-rdoc < 6.6.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4
Affected pkg:rpm/redhat/rubygem-rbs?arch=x86_64&distro=redhat-9.4 redhat rubygem-rbs < 3.4.0-2.module+el9.4.0+21859+16f07581 redhat-9.4 x86_64
Affected pkg:rpm/redhat/rubygem-rbs?arch=s390x&distro=redhat-9.4 redhat rubygem-rbs < 3.4.0-2.module+el9.4.0+21859+16f07581 redhat-9.4 s390x
Affected pkg:rpm/redhat/rubygem-rbs?arch=ppc64le&distro=redhat-9.4 redhat rubygem-rbs < 3.4.0-2.module+el9.4.0+21859+16f07581 redhat-9.4 ppc64le
Affected pkg:rpm/redhat/rubygem-rbs?arch=i686&distro=redhat-9.4 redhat rubygem-rbs < 3.4.0-2.module+el9.4.0+21859+16f07581 redhat-9.4 i686
Affected pkg:rpm/redhat/rubygem-rbs?arch=aarch64&distro=redhat-9.4 redhat rubygem-rbs < 3.4.0-2.module+el9.4.0+21859+16f07581 redhat-9.4 aarch64
Affected pkg:rpm/redhat/rubygem-rake?distro=redhat-9.4 redhat rubygem-rake < 13.1.0-2.module+el9.4.0+21859+16f07581 redhat-9.4
Affected pkg:rpm/redhat/rubygem-racc?arch=x86_64&distro=redhat-9.4 redhat rubygem-racc < 1.7.3-2.module+el9.4.0+21859+16f07581 redhat-9.4 x86_64
Affected pkg:rpm/redhat/rubygem-racc?arch=s390x&distro=redhat-9.4 redhat rubygem-racc < 1.7.3-2.module+el9.4.0+21859+16f07581 redhat-9.4 s390x
Affected pkg:rpm/redhat/rubygem-racc?arch=ppc64le&distro=redhat-9.4 redhat rubygem-racc < 1.7.3-2.module+el9.4.0+21859+16f07581 redhat-9.4 ppc64le
Affected pkg:rpm/redhat/rubygem-racc?arch=i686&distro=redhat-9.4 redhat rubygem-racc < 1.7.3-2.module+el9.4.0+21859+16f07581 redhat-9.4 i686
Affected pkg:rpm/redhat/rubygem-racc?arch=aarch64&distro=redhat-9.4 redhat rubygem-racc < 1.7.3-2.module+el9.4.0+21859+16f07581 redhat-9.4 aarch64
Affected pkg:rpm/redhat/rubygem-psych?arch=x86_64&distro=redhat-9.4 redhat rubygem-psych < 5.1.2-2.module+el9.4.0+21859+16f07581 redhat-9.4 x86_64
Affected pkg:rpm/redhat/rubygem-psych?arch=s390x&distro=redhat-9.4 redhat rubygem-psych < 5.1.2-2.module+el9.4.0+21859+16f07581 redhat-9.4 s390x
Affected pkg:rpm/redhat/rubygem-psych?arch=ppc64le&distro=redhat-9.4 redhat rubygem-psych < 5.1.2-2.module+el9.4.0+21859+16f07581 redhat-9.4 ppc64le
Affected pkg:rpm/redhat/rubygem-psych?arch=i686&distro=redhat-9.4 redhat rubygem-psych < 5.1.2-2.module+el9.4.0+21859+16f07581 redhat-9.4 i686
Affected pkg:rpm/redhat/rubygem-psych?arch=aarch64&distro=redhat-9.4 redhat rubygem-psych < 5.1.2-2.module+el9.4.0+21859+16f07581 redhat-9.4 aarch64
Affected pkg:rpm/redhat/rubygem-power_assert?distro=redhat-9.4 redhat rubygem-power_assert < 2.0.3-2.module+el9.4.0+21859+16f07581 redhat-9.4
Affected pkg:rpm/redhat/rubygem-pg?arch=x86_64&distro=redhat-9.4 redhat rubygem-pg < 1.5.4-1.module+el9.4.0+21222+faeeed2f redhat-9.4 x86_64
Affected pkg:rpm/redhat/rubygem-pg?arch=s390x&distro=redhat-9.4 redhat rubygem-pg < 1.5.4-1.module+el9.4.0+21222+faeeed2f redhat-9.4 s390x
Affected pkg:rpm/redhat/rubygem-pg?arch=ppc64le&distro=redhat-9.4 redhat rubygem-pg < 1.5.4-1.module+el9.4.0+21222+faeeed2f redhat-9.4 ppc64le
Affected pkg:rpm/redhat/rubygem-pg?arch=aarch64&distro=redhat-9.4 redhat rubygem-pg < 1.5.4-1.module+el9.4.0+21222+faeeed2f redhat-9.4 aarch64
Affected pkg:rpm/redhat/rubygem-pg-doc?distro=redhat-9.4 redhat rubygem-pg-doc < 1.5.4-1.module+el9.4.0+21222+faeeed2f redhat-9.4
Affected pkg:rpm/redhat/rubygem-mysql2?arch=x86_64&distro=redhat-9.4 redhat rubygem-mysql2 < 0.5.5-1.module+el9.4.0+21222+faeeed2f redhat-9.4 x86_64
Affected pkg:rpm/redhat/rubygem-mysql2?arch=s390x&distro=redhat-9.4 redhat rubygem-mysql2 < 0.5.5-1.module+el9.4.0+21222+faeeed2f redhat-9.4 s390x
Affected pkg:rpm/redhat/rubygem-mysql2?arch=ppc64le&distro=redhat-9.4 redhat rubygem-mysql2 < 0.5.5-1.module+el9.4.0+21222+faeeed2f redhat-9.4 ppc64le
Affected pkg:rpm/redhat/rubygem-mysql2?arch=aarch64&distro=redhat-9.4 redhat rubygem-mysql2 < 0.5.5-1.module+el9.4.0+21222+faeeed2f redhat-9.4 aarch64
Affected pkg:rpm/redhat/rubygem-mysql2-doc?distro=redhat-9.4 redhat rubygem-mysql2-doc < 0.5.5-1.module+el9.4.0+21222+faeeed2f redhat-9.4
Affected pkg:rpm/redhat/rubygem-minitest?distro=redhat-9.4 redhat rubygem-minitest < 5.20.0-2.module+el9.4.0+21859+16f07581 redhat-9.4
Affected pkg:rpm/redhat/rubygem-json?arch=x86_64&distro=redhat-9.4 redhat rubygem-json < 2.7.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 x86_64
Affected pkg:rpm/redhat/rubygem-json?arch=s390x&distro=redhat-9.4 redhat rubygem-json < 2.7.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 s390x
Affected pkg:rpm/redhat/rubygem-json?arch=ppc64le&distro=redhat-9.4 redhat rubygem-json < 2.7.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 ppc64le
Affected pkg:rpm/redhat/rubygem-json?arch=i686&distro=redhat-9.4 redhat rubygem-json < 2.7.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 i686
Affected pkg:rpm/redhat/rubygem-json?arch=aarch64&distro=redhat-9.4 redhat rubygem-json < 2.7.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 aarch64
Affected pkg:rpm/redhat/rubygem-irb?distro=redhat-9.4 redhat rubygem-irb < 1.11.0-2.module+el9.4.0+21859+16f07581 redhat-9.4
Affected pkg:rpm/redhat/rubygem-io-console?arch=x86_64&distro=redhat-9.4 redhat rubygem-io-console < 0.7.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 x86_64
Affected pkg:rpm/redhat/rubygem-io-console?arch=s390x&distro=redhat-9.4 redhat rubygem-io-console < 0.7.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 s390x
Affected pkg:rpm/redhat/rubygem-io-console?arch=ppc64le&distro=redhat-9.4 redhat rubygem-io-console < 0.7.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 ppc64le
Affected pkg:rpm/redhat/rubygem-io-console?arch=i686&distro=redhat-9.4 redhat rubygem-io-console < 0.7.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 i686
Affected pkg:rpm/redhat/rubygem-io-console?arch=aarch64&distro=redhat-9.4 redhat rubygem-io-console < 0.7.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 aarch64
Affected pkg:rpm/redhat/rubygem-bundler?distro=redhat-9.4 redhat rubygem-bundler < 2.5.9-2.module+el9.4.0+21859+16f07581 redhat-9.4
Affected pkg:rpm/redhat/rubygem-bigdecimal?arch=x86_64&distro=redhat-9.4 redhat rubygem-bigdecimal < 3.1.5-2.module+el9.4.0+21859+16f07581 redhat-9.4 x86_64
Affected pkg:rpm/redhat/rubygem-bigdecimal?arch=s390x&distro=redhat-9.4 redhat rubygem-bigdecimal < 3.1.5-2.module+el9.4.0+21859+16f07581 redhat-9.4 s390x
Affected pkg:rpm/redhat/rubygem-bigdecimal?arch=ppc64le&distro=redhat-9.4 redhat rubygem-bigdecimal < 3.1.5-2.module+el9.4.0+21859+16f07581 redhat-9.4 ppc64le
Affected pkg:rpm/redhat/rubygem-bigdecimal?arch=i686&distro=redhat-9.4 redhat rubygem-bigdecimal < 3.1.5-2.module+el9.4.0+21859+16f07581 redhat-9.4 i686
Affected pkg:rpm/redhat/rubygem-bigdecimal?arch=aarch64&distro=redhat-9.4 redhat rubygem-bigdecimal < 3.1.5-2.module+el9.4.0+21859+16f07581 redhat-9.4 aarch64
Affected pkg:rpm/redhat/ruby?arch=x86_64&distro=redhat-9.4 redhat ruby < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 x86_64
Affected pkg:rpm/redhat/ruby?arch=s390x&distro=redhat-9.4 redhat ruby < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 s390x
Affected pkg:rpm/redhat/ruby?arch=ppc64le&distro=redhat-9.4 redhat ruby < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 ppc64le
Affected pkg:rpm/redhat/ruby?arch=i686&distro=redhat-9.4 redhat ruby < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 i686
Affected pkg:rpm/redhat/ruby?arch=aarch64&distro=redhat-9.4 redhat ruby < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 aarch64
Affected pkg:rpm/redhat/ruby-libs?arch=x86_64&distro=redhat-9.4 redhat ruby-libs < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 x86_64
Affected pkg:rpm/redhat/ruby-libs?arch=s390x&distro=redhat-9.4 redhat ruby-libs < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 s390x
Affected pkg:rpm/redhat/ruby-libs?arch=ppc64le&distro=redhat-9.4 redhat ruby-libs < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 ppc64le
Affected pkg:rpm/redhat/ruby-libs?arch=i686&distro=redhat-9.4 redhat ruby-libs < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 i686
Affected pkg:rpm/redhat/ruby-libs?arch=aarch64&distro=redhat-9.4 redhat ruby-libs < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 aarch64
Affected pkg:rpm/redhat/ruby-doc?distro=redhat-9.4 redhat ruby-doc < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4
Affected pkg:rpm/redhat/ruby-devel?arch=x86_64&distro=redhat-9.4 redhat ruby-devel < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 x86_64
Affected pkg:rpm/redhat/ruby-devel?arch=s390x&distro=redhat-9.4 redhat ruby-devel < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 s390x
Affected pkg:rpm/redhat/ruby-devel?arch=ppc64le&distro=redhat-9.4 redhat ruby-devel < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 ppc64le
Affected pkg:rpm/redhat/ruby-devel?arch=i686&distro=redhat-9.4 redhat ruby-devel < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 i686
Affected pkg:rpm/redhat/ruby-devel?arch=aarch64&distro=redhat-9.4 redhat ruby-devel < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 aarch64
Affected pkg:rpm/redhat/ruby-default-gems?distro=redhat-9.4 redhat ruby-default-gems < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4
Affected pkg:rpm/redhat/ruby-bundled-gems?arch=x86_64&distro=redhat-9.4 redhat ruby-bundled-gems < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 x86_64
Affected pkg:rpm/redhat/ruby-bundled-gems?arch=s390x&distro=redhat-9.4 redhat ruby-bundled-gems < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 s390x
Affected pkg:rpm/redhat/ruby-bundled-gems?arch=ppc64le&distro=redhat-9.4 redhat ruby-bundled-gems < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 ppc64le
Affected pkg:rpm/redhat/ruby-bundled-gems?arch=i686&distro=redhat-9.4 redhat ruby-bundled-gems < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 i686
Affected pkg:rpm/redhat/ruby-bundled-gems?arch=aarch64&distro=redhat-9.4 redhat ruby-bundled-gems < 3.3.1-2.module+el9.4.0+21859+16f07581 redhat-9.4 aarch64
# CVE Description CVSS EPSS EPSS Trend (30 days) Affected Products Weaknesses Security Advisories Exploits PoC Pubblication Date Modification Date
# CVE Description CVSS EPSS EPSS Trend (30 days) Affected Products Weaknesses Security Advisories PoC Pubblication Date Modification Date
Loading...